npm install 错误:MSBuild.exe ENOENT - uses VS2019 instead of VS2017

This stackoverflow article is what helped me get over this, without having to uninstall VS 2019.
https://stackoverflow.com/questions/33896511/npm-install-fails-with-node-gyp

I already had python 2.7 installed on my system, so the only thing I had to do in adition was to install Visual C++ Build tools from here, https://go.microsoft.com/fwlink/?LinkId=691126, and then configure npm to use python 2.7 and VS2015

  1. npm config set python python2.7
  2. npm config set msvs_version 2015

After that, npm install run just fine.

请先 登录 后评论
  • 0 关注
  • 0 收藏,57 浏览
  • Kemin 提出于 2021-04-30 22:50

相似问题